Package com.independentsoft.office.word.math

# Class Radical

java.lang.Object
com.independentsoft.office.word.math.Radical

All Implemented Interfaces:
  `IContentElement`, `IRunTrackChangeContent`, `IMathElement`, `IMathMathElement`

public class Radical extends Object implements IMathMathElement
The Class Radical.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Radical()`
  Instantiates a new radical.
  `Radical​(InternalXMLStreamReader reader)`
  Instantiates a new radical.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Radical`
  `clone()`
  `Base`
  `getBase()`
  Gets the base.
  `List<IContentElement>`
  `getContentElements()`
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `Degree`
  `getDegree()`
  Gets the degree.
  `ExtendedBoolean`
  `getHideDegree()`
  Gets the hide degree.
  `void`
  `setBase​(Base baseArgument)`
  Sets the base.
  `void`
  `setDegree​(Degree degree)`
  Sets the degree.
  `void`
  `setHideDegree​(ExtendedBoolean hideDegree)`
  Sets the hide degree.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Radical

    public Radical()
    Instantiates a new radical.

  - ### Radical

    public Radical​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new radical.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Radical clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IMathMathElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBase

    public Base getBase()
    Gets the base.
    Returns:
      the base

  - ### setBase

    public void setBase​(Base baseArgument)
    Sets the base.
    Parameters:
      `baseArgument` - the new base

  - ### getDegree

    public Degree getDegree()
    Gets the degree.
    Returns:
      the degree

  - ### setDegree

    public void setDegree​(Degree degree)
    Sets the degree.
    Parameters:
      `degree` - the new degree

  - ### getHideDegree

    public ExtendedBoolean getHideDegree()
    Gets the hide degree.
    Returns:
      the hide degree

  - ### setHideDegree

    public void setHideDegree​(ExtendedBoolean hideDegree)
    Sets the hide degree.
    Parameters:
      `hideDegree` - the new hide degree

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties